#include <stdio.h>
#include <string.h>

// Definición de la estructura
typedef struct Persona {
    char nombre[30];
    int edad;
    float estatura;
};


int main(void) {
    // Declaración e inicialización de estructuras

    // Inicialización manual utilizando funciones
    struct Persona persona1;
    strcpy(persona1.nombre, "Juan"); // Copiar el nombre
    persona1.edad = 25;              // Asignar la edad
    persona1.estatura = 1.75;        // Asignar la estatura

    // Inicialización directa con valores
    struct Persona persona2 = {"Maria", 21, 1.63};

    // Inicialización con designadores
    struct Persona persona3 = {.nombre = "Daniela", .edad = 22, .estatura = 1.60};

    // Imprimir los datos de las estructuras
    printf("--- Datos de las personas ---\n");
    printf("Persona1: Nombre: %s, Edad: %d, Estatura: %.2f metros\n", persona1.nombre, persona1.edad, persona1.estatura);
    printf("Persona2: Nombre: %s, Edad: %d, Estatura: %.2f metros\n", persona2.nombre, persona2.edad, persona2.estatura);
    printf("Persona3: Nombre: %s, Edad: %d, Estatura: %.2f metros\n", persona3.nombre, persona3.edad, persona3.estatura);

  
    struct Persona persona4;

    // Llenar los datos desde el usuario
    printf("\nIngrese el nombre de la persona: ");
    scanf("%s", persona4.nombre);

    printf("Ingrese la edad de la persona: ");
    scanf("%d", &persona4.edad);

    printf("Ingrese la estatura de la persona (en metros): ");
    scanf("%f", &persona4.estatura);

    // Mostrar los datos ingresados por el usuario
    printf("\nDatos actualizados de persona1:\n");
    printf("Nombre: %s\n", persona4.nombre);
    printf("Edad: %d\n", persona4.edad);
    printf("Estatura: %.2f metros\n", persona4.estatura);

    return 0;
}
